"use strict";
this.name        = "escortdeck_condition_mini";
this.author      = "Norby";
this.copyright   = "2014 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "This escort can fit into mini landing pads";
this.version     = "1.0";

this.allowAwardEquipment = function(eqKey, ship, context)
{
//bugfix for eqs with conditions scripts: need double replaceShip() to work!
//player.replaceShip(shipname, pers); player.replaceShip(shipname, pers);
//call twice! the first always got false for allow without run this script.
//Proof: if you uncomment the following line, only the 2nd call will write into the log.
//log("notforsmall", eqKey+" "+ship.name+" "+ship.mass+" "+context );

	var w = worldScripts.escortdeck;
	if( ship.mass >= w.$EscortDeckMinMass
		&& w.$EscortDeck_isFreePadFor(eqKey, ship, context, w, true) //the last true allow mini pads
		&& ( ship.equipmentStatus("EQ_ESCORTDECK") == "EQUIPMENT_OK"
		|| ship.equipmentStatus("EQ_ESCORTDECKXL") == "EQUIPMENT_OK" ) )
		return true;
	else return false;
}
